package com.purui.prims.headless.chat.query.rule.metric;

import com.purui.prims.headless.chat.query.rule.QueryMatchOption;
import org.springframework.stereotype.Component;

import static com.purui.prims.headless.api.pojo.SchemaElementType.DATASET;

@Component
public class MetricModelQuery extends MetricSemanticQuery {

    public static final String QUERY_MODE = "METRIC_MODEL";

    public MetricModelQuery() {
        super();
        queryMatcher.addOption(DATASET, QueryMatchOption.OptionType.OPTIONAL, QueryMatchOption.RequireNumberType.AT_MOST, 1);
    }

    @Override
    public String getQueryMode() {
        return QUERY_MODE;
    }

}
